Bug 116942 - wrong console map for Ukrainian
Summary: wrong console map for Ukrainian
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rhpl   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-26 17:19 UTC by Maxim Dziumanenko
Modified: 2007-04-18 17:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-01 09:05:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Maxim Dziumanenko 2004-02-26 17:19:47 UTC
Description of problem:
there is a line in keyboard_models.py:
'ua'                      : [_('Ukrainian'), 'ua,us', 'pc105', '',
'grp:shift_toggle,grp_led:scroll'],

which specifies ua.map for console, which is non UTF-8 . But system
uses UTF-8 locale for Urainian by default.

UTF-8 enabled map is ua-utf.map

Version-Release number of selected component (if applicable):
rhpl-0.122.2

How reproducible:
Always

Steps to Reproduce:
1. run system-config-keyboard
2. choose Ukraininan layout
3. (reboot to activate changes?) shitch to console 
4. Press Alt to shitch to Ukrainian
5. Enter some characters
  
Actual results:
some unexcpected characters shows.
Impossible to enter text in Ukrainian

Expected results:
Cyrillic characters

Additional info:

Comment 1 Jeremy Katz 2004-02-26 20:45:58 UTC
Fixed in CVS

Comment 2 Maxim Dziumanenko 2004-02-27 14:05:53 UTC
Proper encoding map is "ua-utf"
I see in CVS "ua-utf8" - THERE ARE NO SUCH MAP in kbd package

Comment 3 Jeremy Katz 2004-02-27 15:18:36 UTC
Oops, sorry... fixed in CVS and will be in next build.


Note You need to log in before you can comment on or make changes to this bug.